import { getDaysBetweenCalendarDates } from "./../../../utilities/dates";
export const getTotalListPriceInCentsFromRenderableItineraryOffer = ({ renderableItineraryOffer, }) => {
    const { startCalendarDate, endCalendarDate, hotelRoomOffers } = renderableItineraryOffer;
    const { days: nightsInOffer } = getDaysBetweenCalendarDates({
        startCalendarDate,
        endCalendarDate,
    });
    const totalListPriceInCents = hotelRoomOffers.reduce((acc, hotelRoomOffer) => {
        return (acc +
            hotelRoomOffer.countOffered *
                nightsInOffer *
                hotelRoomOffer.listPriceInCents);
    }, 0);
    return { totalListPriceInCents };
};
//# sourceMappingURL=getTotalListPriceInCentsFromRenderableItineraryOffer.js.map